Name:		xfce4-smartbookmark-plugin
Version:	0.4.2
Release:	12%{?dist}
Summary:	Smart bookmarks for the Xfce panel

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.gz
# Workaround for https://bugzilla.redhat.com/show_bug.cgi?id=505165
# reported to upstream at http://bugzilla.xfce.org/show_bug.cgi?id=5455
Patch0:		%{name}-0.4.2-multilib.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=509294
# not yet in Xfce bugzilla, because the smartbookmark component is missing
Patch1:		%{name}-0.4.2-desktop-file.patch
#
Patch2:		xfce4-smartbookmark-plugin-fix-linking.patch
# vendor specific patches
Patch10:	%{name}-redhat.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.3.99.1, libxfcegui4-devel >= 4.3.90.2
BuildRequires:	libxml2-devel, gettext, perl(XML::Parser)
BuildRequires:	libXt-devel
BuildRequires:  autoconf
Requires:	xfce4-panel >= 4.4.0, webclient

%description
A plugin which allows you to do a search directly on Internet on sites like 
Google or Red Hat Bugzilla. It allows you to send requests directly to your 
browser and perform custom searches.

%prep
%setup -q
%patch0 -b .multilib
%patch1 -b .path
%patch2 -p1 -b .linking
%patch10 -b .redhat

%build
autoconf
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/xfce4/panel-plugins/*.so
%{_libdir}/xfce4/panel-plugins/*.desktop

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 13 2011 Kevin Fenzi <kevin@tummy.com> - 0.4.2-11
- Add patch to link against libxfcegui4

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 03 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.2-9
- Fix path in desktop file (#509294)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.2-7
- Rebuild for Xfce 4.6 (Beta 3)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.2-6
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.2-5
- Rebuild for BuildID feature
- Update license tag

* Sat Jun 09 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.2-4
- Multilib fix for desktop file (#228168).

* Sat Apr 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.2-3
- Rebuild for Xfce 4.4.1

* Mon Jan 22 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.2-2
- Rebuild for Xfce 4.4.

* Sat Sep 23 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.2-1
- Initial Fedora Extras version.
